# Couenne::CouenneChooseVariable Class Reference

Choose a variable for branching. More...

`#include <CouenneChooseVariable.hpp>`

List of all members.

## Public Member Functions
| CouenneChooseVariable ()
| Default Constructor.
| CouenneChooseVariable (const OsiSolverInterface *, CouenneProblem *, JnlstPtr jnlst)
| Constructor from solver (so we can set up arrays etc).
| CouenneChooseVariable (const CouenneChooseVariable &)
| Copy constructor.
CouenneChooseVariable & | operator= (const CouenneChooseVariable &)
| Assignment operator.
virtual OsiChooseVariable * | clone () const
| Clone.
virtual | ~CouenneChooseVariable ()
| Destructor.
virtual int | setupList (OsiBranchingInformation *, bool)
| Sets up strong list and clears all if initialize is true.
virtual bool | feasibleSolution (const OsiBranchingInformation *info, const double *solution, int numberObjects, const OsiObject **objects)
| Returns true if solution looks feasible against given objects.
## Static Public Member Functions
static void | registerOptions (Ipopt::SmartPtr< Bonmin::RegisteredOptions > roptions)
| Add list of options to be read from file.
## Protected Attributes
CouenneProblem * | problem_
| Pointer to the associated MINLP problem.
JnlstPtr | jnlst_
| journalist for detailed debug information

## Detailed Description

Choose a variable for branching.

Definition at line 27 of file CouenneChooseVariable.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneChooseVariable::CouenneChooseVariable | ( |  | ) |

Default Constructor.

Referenced by clone().

Couenne::CouenneChooseVariable::CouenneChooseVariable | ( | const OsiSolverInterface * | ,
|  | CouenneProblem * | ,
|  | JnlstPtr | jnlst |
| ) |  |  |

Constructor from solver (so we can set up arrays etc).

Couenne::CouenneChooseVariable::CouenneChooseVariable | ( | const CouenneChooseVariable & |  | ) |

Copy constructor.

virtual Couenne::CouenneChooseVariable::~CouenneChooseVariable | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 48 of file CouenneChooseVariable.hpp.

## Member Function Documentation

CouenneChooseVariable& Couenne::CouenneChooseVariable::operator= | ( | const CouenneChooseVariable & |  | ) |

Assignment operator.

virtual OsiChooseVariable* Couenne::CouenneChooseVariable::clone | ( |  | ) | const`[inline, virtual]`

Clone.

Definition at line 44 of file CouenneChooseVariable.hpp.

References CouenneChooseVariable().

virtual int Couenne::CouenneChooseVariable::setupList | ( | OsiBranchingInformation * | ,
|  | bool |  |
| ) |  |  | `[virtual]`

Sets up strong list and clears all if initialize is true.

Returns number of infeasibilities. If returns -1 then has worked out node is infeasible!

virtual bool Couenne::CouenneChooseVariable::feasibleSolution | ( | const OsiBranchingInformation * | info,
|  | const double * | solution,
|  | int | numberObjects,
|  | const OsiObject ** | objects |
| ) |  |  | `[virtual]`

Returns true if solution looks feasible against given objects.

static void Couenne::CouenneChooseVariable::registerOptions | ( | Ipopt::SmartPtr< Bonmin::RegisteredOptions > | roptions | ) | `[static]`

Add list of options to be read from file.

## Member Data Documentation

CouenneProblem* Couenne::CouenneChooseVariable::problem_`[protected]`

Pointer to the associated MINLP problem.

Definition at line 72 of file CouenneChooseVariable.hpp.

JnlstPtr Couenne::CouenneChooseVariable::jnlst_`[protected]`

journalist for detailed debug information

Definition at line 75 of file CouenneChooseVariable.hpp.

The documentation for this class was generated from the following file:

- CouenneChooseVariable.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines